#   Copyright (c) 2012-2014 Tobias Leupold <tobias.leupold@web.de>
#
#   This file is part of the muckturnier package.
#
#   This program is free software; you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the Free
#   Software Foundation in version 2 of the License.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#   or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

from PyQt5.QtCore import Qt
from PyQt5.QtGui import QColor, QBrush, QImage

class MT:

    """This holds project-wide constants"""

    muckturnierVersion = '0.6'
    dbVersion          = 3
    # CAUTION: Last change to dbVersion happened with version 0.5.1. If updated, also update the
    # message of the if dbVersion != MT.dbVersion check in Database.py!

    # QGroupBox header font format
    groupTitleStyle = 'QGroupBox { font-weight: bold; }'

    # Constants for use with Database.playersString
    singular = 1
    plural   = 2

    # Constants to pass to shared.cell
    editable    = 1
    notEditable = 2

    # Background colors to pass to shared.cell (rowColor[0|1])
    rowColor = []
    rowColor.append(Qt.transparent)
    background = QImage(1, 1, QImage.Format_ARGB32_Premultiplied)
    background.fill(QColor(230, 230, 230))
    rowColor.append(QBrush(background))

class DB:

    """This holds database key and value values"""

    # Metadata keys
    dbVersion          = 'DB_VERSION'
    muckturnierVersion = 'MUCKTURNIER_VERSION'

    # Settings keys
    tournamentMode     = 'TOURNAMENT_MODE'
    boogerScore        = 'BOOGER_SCORE'
    gamesPerRound      = 'GAMES_PER_ROUND'

    # DB.tournamentMode values
    fixedPairs         = 'FIXED_PAIRS'
    singlePlayers      = 'SINGLE_PLAYERS'
